Perp Data

Get funding settlements

GET/perp/funding-settlementsPublic

Get the funding settlement history of a perpetual market. Paginated, newest first. An unknown market, or one you have no access to, fails with NOT_FOUND. See the Funding documentation for more information.

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-11-02T11:07:07.067Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?

Cursor for pagination: the nextCursor of the previous page, passed as cursor[value] and cursor[id]

instrument*string

Instrument of the market

Value in"inverse_perp""quanto_perp"
pair*string

Pair of the market

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results: the last row's sort date and id. Pass it back as the cursor parameter of the next request. Returns null when there are no more results.

instrument*string

Instrument of the market

Value in"inverse_perp""quanto_perp"
pair*string

Pair of the market

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient()

const result = await client.perp.getFundingSettlements({
  from: '1970-01-01T00:00:00.000Z',
  to: '2026-11-02T11:07:06.159Z',
  limit: 500,
  instrument: 'inverse_perp',
  pair: 'btc_usd'
})
{
  "data": [
    {
      "id": "f0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
      "time": "2025-01-01T00:00:00.000Z",
      "fixingPrice": 43250,
      "fundingRate": 0.0001,
      "quantoAdjustmentRate": 0
    }
  ],
  "nextCursor": {
    "value": "2024-01-15T10:30:00.000Z",
    "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e"
  },
  "instrument": "inverse_perp",
  "pair": "btc_usd"
}